/******************************************************************************/
/* Sistemas Integrados TECNISA                                                */
/*                                                                            */
/******************************************************************************/
/*                                                                            */
/* Nome: TRG_DTULTATU_MTBX                                                    */
/*                                                                            */
/* Descrio:                                                                 */
/* Atualiza a data da ultima atualizao da tabela MOTIVO DE BAIXA            */
/*                                                                            */
/* Criao:                                                                   */
/* 18/12/2003 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/


IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_MTBX'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_MTBX
GO

CREATE TRIGGER DTULTATU_MTBX ON MOTIVOBAIXA
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   UPDATE MOTIVOBAIXA
   SET DTULTATUMTBX = GETDATE()
   FROM INSERTED
   WHERE (0 =  (SELECT COUNT(*) FROM DELETED)) AND
         (ISNULL(MOTIVOBAIXA.CDMOTIBAIXA,0) = ISNULL(INSERTED.CDMOTIBAIXA,0));

   UPDATE MOTIVOBAIXA
   SET DTULTATUMTBX = GETDATE()
   FROM INSERTED, DELETED
   WHERE ((ISNULL(DELETED.CDMOTIBAIXA,0) <> ISNULL(INSERTED.CDMOTIBAIXA,0)) OR
          (ISNULL(DELETED.DSMOTIBAIXA,0) <> ISNULL(INSERTED.DSMOTIBAIXA,0))) AND
          (ISNULL(DELETED.CDMOTIBAIXA,0) =  ISNULL(INSERTED.CDMOTIBAIXA,0)) AND
	  (DELETED.CDMOTIBAIXA = MOTIVOBAIXA.CDMOTIBAIXA)

   IF (0 =  (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, DSKEYCACHE, DTULTATUCACH)
         (SELECT 'MOTIVOBAIXA', 'CDMOTIBAIXA=' + CDMOTIBAIXA+';', GETDATE() FROM DELETED)
   END;
END;

GO